comp.t {DEDS} | R Documentation

## Computing One and Two Sample t-statistic for Differential Expression

### Description

`comp.t` returns a function of one argument with bindings for `L`, `mu`, `var.equal`. This function accepts a microarray data matrix as its single argment, when evaluated, computes t statistics for each row of the matrix.

### Usage

    comp.t(L = NULL, mu = 0, var.equal = FALSE)

### Arguments

`L` | A vector of integers corresponding to observation (column) class labels. For k classes, the labels must be integers between 0 and k-1.
`mu` | A number indicating the true value of the mean (or difference in means if you are performing a two sample test).
`var.equal` | a logical variable indicating whether to treat the two variances as being equal. If `TRUE` then the pooled variance is used to estimate the variance otherwise the Welch statistic will be calculated.

### Details

The function returned by `comp.t` calculates t statistics for each row of the microarary data matrix, given specific class labels.

### Value

`comp.t` returns a function with bindings for `L`, `mu`, `var.equal`, which calculates and returns of vector of t statistics for each row in the data matrix.

### Author(s)

Yuanyuan Xiao, yxiao@itsa.ucsf.edu,
Jean Yee Hwa Yang, jean@biostat.ucsf.edu.

### See Also

`comp.FC`, `comp.F`

### Examples

    X <- matrix(rnorm(1000,0,0.5), nc=10)
    L <- rep(0:1,c(5,5))

    # genes 1-10 are differentially expressed
    X[1:10,6:10]<-X[1:10,6:10]+1

    # two sample test, unequal variance
    t.fun <- comp.t(L)
    t.X <- t.fun(X)

    # two sample test, equal variance
    t.fun <- comp.t(L, var.equal=TRUE)
    t.X <- t.fun(X)

[Package DEDS version 1.6.0 Index]